Subject: Re: CPU scheduler to TXQ binding? (ixgbe vs. igb)

From: Jesper Dangaard Brouer <[email-masked]>
Date: Thu, 18 Sep 2014 20:57:25 +0200

On Thu, 18 Sep 2014 09:34:24 -0700 Eric Dumazet <[email-masked]> wrote:
> On Thu, 2014-09-18 at 17:59 +0200, Jesper Dangaard Brouer wrote:
> > On Thu, 18 Sep 2014 08:42:31 -0700
> > Eric Dumazet <[email-masked]> wrote:
> > 
[...]
> > I'm looking for some 1G hardware without multiqueue, so I can get
> > around this measurement constraint.  And possibly turning it down to
> > 100Mbit/s, so I can more easily measure the HoL blocking effect.
> > 
> 
> ethtool -L   eth0    rx 1 tx 1 
> 
> (Or similar if combined is used)

Thanks! - that solves my qdisc measurement problem :-)
And yes, I had to use:

 ethtool -L eth1 combined 1

-- 
Best regards,
  Jesper Dangaard Brouer
  MSc.CS, Sr. Network Kernel Developer at Red Hat
  Author of http://www.iptv-analyzer.org
  LinkedIn: http://www.linkedin.com/in/brouer